Bug 729092 - GFS2: Not enough space reserved in gfs2_write_begin and possibly elsewhere.
Summary: GFS2: Not enough space reserved in gfs2_write_begin and possibly elsewhere.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Phillip Lougher
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 637970
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 17:17 UTC by Ken Reilly
Modified: 2018-11-14 11:14 UTC (History)
17 users (show)

Fixed In Version: kernel-2.6.18-238.24.1.el5
Doc Type: Bug Fix
Doc Text:
Some of the functions in the GFS2 file system were not reserving enough space for the resource group header in a transaction and for resource groups bit blocks that get added when a memory allocation is performed. That resulted in failed write and allocation operations. With this update, GFS2 makes sure to reserve space in the described scenario, using the new gfs2_rg_blocks() inline function.
Clone Of:
Environment:
Last Closed: 2011-09-20 17:51:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1321 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2011-09-20 17:50:47 UTC

Comment 5 Phillip Lougher 2011-08-30 16:42:29 UTC
in kernel-2.6.18-238.24.1.el5

linux-2.6-fs-gfs2-reserve-more-blocks-for-transactions.patch

Comment 8 errata-xmlrpc 2011-09-20 17:51:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1321.html

Comment 9 Martin Prpič 2011-09-22 09:19:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Some of the functions in the GFS2 file system were not reserving enough space for the resource group header in a transaction and for resource groups bit blocks that get added when a memory allocation is performed. That resulted in failed write and allocation operations. With this update, GFS2 makes sure to reserve space in the described scenario, using the new gfs2_rg_blocks() inline function.


Note You need to log in before you can comment on or make changes to this bug.